ChangeSet 1.1320, 2003/05/30 09:37:22-07:00, greg@kroah.com

[PATCH] USB: remove some old references to /proc/bus/usb/drivers

This is needed, as the file was deleted over a year ago...


 Documentation/usb/proc_usb_info.txt |   30 ++++--------------------------
 drivers/usb/core/Kconfig            |   12 +++++-------
 2 files changed, 9 insertions(+), 33 deletions(-)


diff -Nru a/Documentation/usb/proc_usb_info.txt b/Documentation/usb/proc_usb_info.txt
--- a/Documentation/usb/proc_usb_info.txt	Fri May 30 11:34:57 2003
+++ b/Documentation/usb/proc_usb_info.txt	Fri May 30 11:34:57 2003
@@ -1,10 +1,11 @@
 /proc/bus/usb filesystem output
 ===============================
-(version 2002.03.19)
+(version 2003.05.30)
 
 
-The /proc filesystem for USB devices provides /proc/bus/usb/drivers
-and /proc/bus/usb/devices, as well as /proc/bus/usb/BBB/DDD files.
+The usbfs filesystem for USB devices is traditionally mounted at
+/proc/bus/usb.  It provides the /proc/bus/usb/devices file, as well as
+the /proc/bus/usb/BBB/DDD files.
 
 
 **NOTE**: If /proc/bus/usb appears empty, and a host controller
@@ -66,30 +67,6 @@
 grant read/write permissions to other users by using "chmod".  Also,
 usbfs mount options such as "devmode=0666" may be helpful.
 
-
-
-THE /proc/bus/usb/drivers FILE:
--------------------------------
-Each of the USB device drivers linked into your kernel (statically,
-or dynamically using "modprobe") is listed in the "drivers" file.
-Here's an example from one system:
-
-         usbdevfs
-         hub
-  0- 15: usblp
-         usbnet
-         serial
-         usb-storage
-         pegasus
-
-If you see this file, "usbdevfs" and "hub" will always be listed,
-since those are part of the "usbcore" framework.
-
-Drivers that use the USB major number (180) to provide character devices
-will include a range of minor numbers, as shown above for the "usblp"
-(actually "printer.o") module.  USB device drivers can of course use any
-major number, but it's easy to use the USB range since there's explicit
-support for subdividing it in the USB device driver framework.
 
 
 THE /proc/bus/usb/devices FILE:
diff -Nru a/drivers/usb/core/Kconfig b/drivers/usb/core/Kconfig
--- a/drivers/usb/core/Kconfig	Fri May 30 11:34:57 2003
+++ b/drivers/usb/core/Kconfig	Fri May 30 11:34:57 2003
@@ -19,13 +19,11 @@
 	  If you say Y here (and to "/proc file system support" in the "File
 	  systems" section, above), you will get a file /proc/bus/usb/devices
 	  which lists the devices currently connected to your USB bus or
-	  busses, a file /proc/bus/usb/drivers which lists the USB kernel
-	  client drivers currently loaded, and for every connected device a
-	  file named  "/proc/bus/usb/xxx/yyy", where xxx is the bus number and
-	  yyy the device number; the latter files can be used by user space
-	  programs to talk directly to the device. These files are "virtual",
-	  meaning they are generated on the fly and not stored on the hard
-	  drive.
+	  busses, and for every connected device a file named
+	  "/proc/bus/usb/xxx/yyy", where xxx is the bus number and yyy the
+	  device number; the latter files can be used by user space programs
+	  to talk directly to the device. These files are "virtual", meaning
+	  they are generated on the fly and not stored on the hard drive.
 
 	  You may need to mount the usbfs file system to see the files, use
 	  mount -t usbfs none /proc/bus/usb
